=== portmgr/jobs/Makefile ===
# $Id: Makefile 31601 2007-11-29 06:27:42Z jmpp@macports.org $

SCRIPTS=	PortIndex2MySQL

edit = sed \
	-e 's,@TCL_PACKAGE_DIR@,$(TCL_PACKAGE_DIR),g'


include ../../Mk/macports.autoconf.mk


all: ${SCRIPTS}

PortIndex2MySQL: PortIndex2MySQL.tcl
	${edit} $< > $@
	chmod 755 $@

clean:
	rm -f ${SCRIPTS}

distclean: clean
