=== tests/test/cvs-and-patchsites/Portfile ===
# $Id: Portfile 23699 2007-04-07 02:09:22Z pguyot@kallisys.net $

PortSystem 1.0
name		cvs-and-patchsites
version		1
categories	test
maintainers	pguyot@kallisys.net
description	Test port for cvs+distant patchfiles functionalities
homepage	http://www.macports.org/
platforms	darwin

long_description ${description}

fetch.type          cvs
cvs.root            :pserver:anonymous@cvs.mutt.org:/home/roessler/cvs
cvs.module          mutt
cvs.password        anonymous
worksrcdir          mutt

patch_sites      http://home.uchicago.edu/~dgc/sw/mutt/
patchfiles       patch-1.5.14.dgc.xlabel_ext.9
checksums        patch-1.5.14.dgc.xlabel_ext.9 md5 c5badc733020187b6677f31b343195e8

# disable the patch phase in case the cvs code gets out of sync with the patch.
patch		{}
extract		{}
configure	{}
build		{}
destroot	{
	system "touch ${destroot}${prefix}/lib/${name}"
}

test {
	# test is actually running the fetch target
}
